Bug 240574 - snd_hda: Add Intel Cannon Lake support
Summary: snd_hda: Add Intel Cannon Lake support
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Oleksandr Tymoshenko
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-09-14 01:14 UTC by Neel Chauhan
Modified: 2020-03-19 03:18 UTC (History)
3 users (show)

See Also:
gonzo: mfc-stable12+
gonzo: mfc-stable11+


Attachments
Patch (Revision 1) (1.09 KB, patch)
2019-09-14 01:14 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2019-09-14 01:14:28 UTC
Created attachment 207477 [details]
Patch (Revision 1)

The Intel Cannon Lake PCH is used on CPUs like Intel Whiskey Lake, and this patch allows HD Audio to work on these platforms.

Tested on the HP Spectre x360 13-p0043dx.

Inspired by Linux commit 2357f6f00098a437f9de084c3c34254d20dea789.
Comment 1 Michael Zhilin 2019-09-25 15:51:09 UTC
Hi,

I suppose reviews.freebsd.org is better place for this patch (cc me plz). 

Thanks!
Comment 2 Neel Chauhan 2019-09-25 16:13:40 UTC
https://reviews.freebsd.org/D21789
Comment 3 commit-hook freebsd_committer 2019-09-26 21:03:17 UTC
A commit references this bug:

Author: gonzo
Date: Thu Sep 26 21:02:21 UTC 2019
New revision: 352775
URL: https://svnweb.freebsd.org/changeset/base/352775

Log:
  snd_hda: Add Intel Cannon Lake support

  Add PCI ids for Intel Cannon Lake PCH

  Tested on:	HP Spectre x360 13-p0043dx
  PR:		240574
  Submitted by:	Neel Chauhan <neel@neelc.org>
  Reviewed by:	imp, mizhka, ray
  MFC after:	2 weeks
  Differential Revision:	https://reviews.freebsd.org/D21789

Changes:
  head/sys/dev/sound/pci/hda/hdac.c
Comment 4 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-09-26 21:13:07 UTC
Thanks for submitting. I've committed to HEAD, will take care of MFC in due time.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-18 04:46:40 UTC
Ping for stable/11,12 merges. Oleksandr do you have cycles to merge? Happy to find someone else if you need support
Comment 6 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2020-03-18 06:16:38 UTC
(In reply to Kubilay Kocak from comment #5)

Yes, I'll take care of it tomorrow. I'm sorry for dropping ball on this one. Thanks for reminding.
Comment 7 commit-hook freebsd_committer 2020-03-19 01:50:50 UTC
A commit references this bug:

Author: gonzo
Date: Thu Mar 19 01:50:25 UTC 2020
New revision: 359113
URL: https://svnweb.freebsd.org/changeset/base/359113

Log:
  MFC r352775-r352776

  r352775:
  snd_hda: Add Intel Cannon Lake support

  Add PCI ids for Intel Cannon Lake PCH

  Tested on:	HP Spectre x360 13-p0043dx
  PR:		240574
  Submitted by:	Neel Chauhan <neel@neelc.org>
  Reviewed by:	imp, mizhka, ray
  Differential Revision:	https://reviews.freebsd.org/D21789

  r352776:
  snd_hda: Add Intel Cannon Lake support

  Add missing header change ommitted in r352775

  X-MFC-with:	352775

Changes:
_U  stable/12/
  stable/12/sys/dev/sound/pci/hda/hdac.c
  stable/12/sys/dev/sound/pci/hda/hdac.h
Comment 8 commit-hook freebsd_committer 2020-03-19 02:22:53 UTC
A commit references this bug:

Author: gonzo
Date: Thu Mar 19 02:22:08 UTC 2020
New revision: 359114
URL: https://svnweb.freebsd.org/changeset/base/359114

Log:
  MFC r352775-r352776

  r352775:
  snd_hda: Add Intel Cannon Lake support

  Add PCI ids for Intel Cannon Lake PCH

  Tested on:	HP Spectre x360 13-p0043dx
  PR:		240574
  Submitted by:	Neel Chauhan <neel@neelc.org>
  Reviewed by:	imp, mizhka, ray
  Differential Revision:	https://reviews.freebsd.org/D21789

  r352776:
  snd_hda: Add Intel Cannon Lake support

  Add missing header change ommitted in r352775

  X-MFC-with:	352775

Changes:
_U  stable/11/
  stable/11/sys/dev/sound/pci/hda/hdac.c
  stable/11/sys/dev/sound/pci/hda/hdac.h
Comment 9 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2020-03-19 03:01:46 UTC
MFCed to stable/11 and stable/12

Thanks for submitting
Comment 10 Neel Chauhan 2020-03-19 03:18:58 UTC
(In reply to Oleksandr Tymoshenko from comment #9)

No problem.

Also, thanks for MFCing.